Bug 105779 - boot crash with acpi=on - Could not get RSDP
boot crash with acpi=on - Could not get RSDP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-27 09:22 EDT by Thornton Prime
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-05 08:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thornton Prime 2003-09-27 09:22:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I wasn't really expecting this to work ... but if I can provide any useful
information to help make ACPI more stable, I can.


ACPI: System description tables not found
    ACPI-0084: *** Error: acpi_load_tables: Could not get RSDP, AE_NOT_FOUND
    ACPI-0134: *** Error: acpi_load_tables: Could not load tables: AE_NOT_FOUND
ACPI: Unable to load the System Description Tables
PCI: Probing PCI hardware
Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c019971f
*pde = 00000000
Oops: 0000
                                                                                
CPU:    0
EIP:    0060:[<c019971f>]    Not tainted
EFLAGS: 00010296
                                                                                
EIP is at acpi_pci_link_calc_penalties [kernel] 0x1f (2.4.22-1.2061.nptl)
eax: c034b620   ebx: c0105040   ecx: 00000000   edx: c034b620
esi: 00000000   edi: 00000000   ebp: 00000000   esp: c130bfa0
ds: 0068   es: 0068   ss: 0068
Process swapper (pid: 1, stackpage=c130b000)
Stack: c0105040 00000000 c0399f24 c0105040 c039420d c02804af 00000000 c0399a7b
       c01ed159 000000f4 c03e26c0 c0105040 c0105040 c038e760 c010504c 00000000
       c0105040 00000000 00000000 00000000 c01072bd 00000000 00000000 00000000
Call Trace:   [<c0105040>] init [kernel] 0x0 (0xc130bfa0)
[<c0105040>] init [kernel] 0x0 (0xc130bfac)
[<c01ed159>] pci_init [kernel] 0x9 (0xc130bfc0)
[<c0105040>] init [kernel] 0x0 (0xc130bfcc)
[<c0105040>] init [kernel] 0x0 (0xc130bfd0)
[<c010504c>] init [kernel] 0xc (0xc130bfd8)
[<c0105040>] init [kernel] 0x0 (0xc130bfe0)
[<c01072bd>] kernel_thread_helper [kernel] 0x5 (0xc130bff0)
                                                                                
                                                                                
Code: 8b 01 0f 0d 00 81 f9 e8 27 3e c0 74 26 0f b6 41 10 c6 41 13
 <0>Kernel panic: Attempted to kill init!


Version-Release number of selected component (if applicable):
2.4.22-1.2061.nptl.athlon

How reproducible:
Always

Steps to Reproduce:
1. boot kernel with acpi=on 

Additional info:
Comment 1 Len Brown 2004-03-12 22:34:55 EST
any chance you can try this with a 2.6-era kernel,
say Fedora-Core-2-test1?

thanks,
-Len
Comment 2 Len Brown 2004-03-24 17:13:38 EST
Is ACPI enabled or disabled in the BIOS?
(shouldn't panic in either case, but could be a clue)
If this still happens with a recent kernel, can you attach
the output from acpidmp, avaible in pmtools here:
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/

otherwise, please close this bug.

thanks,
-Len
Comment 3 Thornton Prime 2004-05-05 08:42:35 EDT
Works fine with FC2test3/2.6.5-1.327.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.